public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Brian Dolbec" <dolsen@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/lz4/, dev-python/lz4/files/
Date: Tue, 16 May 2017 02:10:49 +0000 (UTC)	[thread overview]
Message-ID: <1494900430.17c73c9902fde445d4697dbf7d7a2d9652410bb2.dolsen@gentoo> (raw)

commit:     17c73c9902fde445d4697dbf7d7a2d9652410bb2
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 10 16:47:12 2017 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Tue May 16 02:07:10 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17c73c99

dev-python/lz4: Enable tests, add python-3.6 to PYTHON_COMPAT

Add missing test.py file, test dep.

Package-Manager: Portage-2.3.5, Repoman-2.3.2_p30

 dev-python/lz4/files/test.py    | 16 ++++++++++++++++
 dev-python/lz4/lz4-0.8.2.ebuild | 17 ++++++++++++-----
 2 files changed, 28 insertions(+), 5 deletions(-)

diff --git a/dev-python/lz4/files/test.py b/dev-python/lz4/files/test.py
new file mode 100644
index 00000000000..9469a03da32
--- /dev/null
+++ b/dev-python/lz4/files/test.py
@@ -0,0 +1,16 @@
+import lz4
+import sys
+
+
+import unittest
+import os
+
+class TestLZ4(unittest.TestCase):
+
+    def test_random(self):
+      DATA = os.urandom(128 * 1024)  # Read 128kb
+      self.assertEqual(DATA, lz4.loads(lz4.dumps(DATA)))
+
+if __name__ == '__main__':
+    unittest.main()
+

diff --git a/dev-python/lz4/lz4-0.8.2.ebuild b/dev-python/lz4/lz4-0.8.2.ebuild
index ed344fb1c60..b75564adfb8 100644
--- a/dev-python/lz4/lz4-0.8.2.ebuild
+++ b/dev-python/lz4/lz4-0.8.2.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
 
-PYTHON_COMPAT=( python{2_7,3_4,3_5} pypy )
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
 
 inherit distutils-r1
 
@@ -14,15 +14,22 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
 SLOT="0"
 LICENSE="BSD"
 KEYWORDS="amd64 arm x86 ~amd64-linux ~x86-linux"
+IUSE="test"
 
 RDEPEND=""
-DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
-
-# Tests still excluded by upstream
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+	test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
 
 python_prepare_all() {
 	sed \
 		-e '/nose/s:setup_requires:test_requires:g' \
 		-i setup.py || die
+	mkdir "${S}"/tests
+	cp "${FILESDIR}"/test.py "${S}"/tests
 	distutils-r1_python_prepare_all
 }
+
+python_test() {
+	esetup.py test || dies "Tests failed with ${EPYTHON}"
+}


                 reply	other threads:[~2017-05-16  2:11 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1494900430.17c73c9902fde445d4697dbf7d7a2d9652410bb2.dolsen@gentoo \
    --to=dolsen@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox